/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package demo.web;

import demo.model.Person;
import demo.service.PersonLocal;
import java.io.IOException;
import java.io.PrintWriter;
import java.util.List;
import javax.ejb.EJB;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 *
 * @author rosmord
 */
@WebServlet(name = "ListPersons", urlPatterns = {"/list"})
public class ListPersons extends HttpServlet {
    @EJB
    PersonLocal personBean;

    @Override
    protected void doGet(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
        List<Person> l = personBean.findAll();
        req.setAttribute("list", l);
        req.getRequestDispatcher("/WEB-INF/jsp/list.jsp").forward(req, resp);
    }
    
    
    

}
